<?php
/**
 * @category   Alogic
 * @package    Alogic_Distributor
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Distributor\Block;

use Magento\Framework\View\Element\Template\Context;
use Alogic\Distributor\Model\DistributorFactory;
/**
 * Distributor List block
 */
class DistributorListData extends \Magento\Framework\View\Element\Template
{
    /**
     * @var Distributor
     */
    protected $_distributor;
    public function __construct(
        Context $context,
        DistributorFactory $distributor
    ) {
        $this->_distributor = $distributor;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('Alogic Distributor Module List Page'));
        
        if ($this->getDistributorCollection()) {
            $pager = $this->getLayout()->createBlock(
                'Magento\Theme\Block\Html\Pager',
                'alogic.distributor.pager'
            )->setAvailableLimit(array(5=>5,10=>10,15=>15))->setShowPerPage(true)->setCollection(
                $this->getDistributorCollection()
            );
            $this->setChild('pager', $pager);
            $this->getDistributorCollection()->load();
        }
        return parent::_prepareLayout();
    }

    public function getDistributorCollection()
    {
        $page = ($this->getRequest()->getParam('p'))? $this->getRequest()->getParam('p') : 1;
        $pageSize = ($this->getRequest()->getParam('limit'))? $this->getRequest()->getParam('limit') : 5;

        $distributor = $this->_distributor->create();
        $collection = $distributor->getCollection();
        $collection->addFieldToFilter('status','1');
        //$distributor->setOrder('distributor_id','ASC');
        $collection->setPageSize($pageSize);
        $collection->setCurPage($page);

        return $collection;
    }

    public function getPagerHtml()
    {
        return $this->getChildHtml('pager');
    }
}